### Method

# FwupdPlugin CborItem map_append

since: 2.1.2

#### Declaration [src]

    gboolean
    fu_cbor_item_map_append (
      FuCborItem* self,
      FuCborItem* item_key,
      FuCborItem* item_val,
      GError** error
    )

#### Description [src]

Adds key-value items to a CBOR map.

Available since: 2.1.2

This method is not directly available to language bindings.

#### Parameters

`item_key`

  Type: `FuCborItem`

  Another `FuCborItem`.

  The data is owned by the caller of the method.

`item_val`

  Type: `FuCborItem`

  Another `FuCborItem`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success.